package com.loafle.overflow.models;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "TBL_EMAIL_AUTH", schema = "public", catalog = "postgres")
public class TblEmailAuth {
    private long id;
    private String emailAuthKey;
    private Timestamp createDate;
    private Timestamp authConfirmDate;
    private long memberId;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Basic
    @Column(name = "EMAIL_AUTH_KEY", nullable = true, length = 50)
    public String getEmailAuthKey() {
        return emailAuthKey;
    }

    public void setEmailAuthKey(String emailAuthKey) {
        this.emailAuthKey = emailAuthKey;
    }

    @Basic
    @Column(name = "CREATE_DATE", nullable = false)
    public Timestamp getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
        this.createDate = createDate;
    }

    @Basic
    @Column(name = "AUTH_CONFIRM_DATE", nullable = true)
    public Timestamp getAuthConfirmDate() {
        return authConfirmDate;
    }

    public void setAuthConfirmDate(Timestamp authConfirmDate) {
        this.authConfirmDate = authConfirmDate;
    }

    @Basic
    @Column(name = "MEMBER_ID", nullable = false)
    public long getMemberId() {
        return memberId;
    }

    public void setMemberId(long memberId) {
        this.memberId = memberId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TblEmailAuth that = (TblEmailAuth) o;

        if (id != that.id) return false;
        if (memberId != that.memberId) return false;
        if (emailAuthKey != null ? !emailAuthKey.equals(that.emailAuthKey) : that.emailAuthKey != null) return false;
        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;
        if (authConfirmDate != null ? !authConfirmDate.equals(that.authConfirmDate) : that.authConfirmDate != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (id ^ (id >>> 32));
        result = 31 * result + (emailAuthKey != null ? emailAuthKey.hashCode() : 0);
        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
        result = 31 * result + (authConfirmDate != null ? authConfirmDate.hashCode() : 0);
        result = 31 * result + (int) (memberId ^ (memberId >>> 32));
        return result;
    }
}
